unable to mount reiserfs /dev/hda8

Fabio Fracassi f.fracassi at gmx.net
Thu Mar 15 02:01:45 PST 2001


On Wednesday 14 March 2001 23:47, Alexander Henkel wrote:
> On Wednesday 14 March 2001 20:01, didbaba wrote:
> > I'm trying to install LFS 3.0 on /dev/hda8
> > my system is lfs 2.4.0 with kernel 2.2.18, patched with
> > linux-2.2.18-reiserfs-3.5.31-patch.gz, I change the kernel with reiserfs
> > enabled
> > Recompile util-linux 2.10r because mine is 2.10.o
> >
> > compiled tarball Reiserfsprogs-3.x.0h
> > mkreiserfs /dev/hda8
>
> I've done the same a couple of days ago, and it works with kernel 2.2.18.
> The only difference being that I compiled reiserfs support as module which
> I suggest you should also try. Here's my 'proof':
>
--snip---

> So, try as a module and tell us what happens.

Did you also use Reiserfsprogs-3.0? If so I don't know what the problem could 
be, if not And from the original message my first guess would be a Version 
conflict.

In combination with the Version change from kernel 2.2 to 2.4 reiserfs made a 
version change from 3.5 to 3.6 which are not compatible. The first 3.6 
implementations didn't have support for the older filesystems, nowadays the 
new implementations (anything that works with kernel 2.4*) have support for 
both 3.5 and 3.6 filesystems. I don't know if same holds true the other way 
round.
I don't also know if this problems still exist, I had some issues with it 
about a year ago.

But I suppose this is didbaba's problem, he formated his partition with a 3.6 
Reiserfs, and his kernel tries to mount a 3.5 fs.
I suppose formating with an older mkreiserfs or an special option might help.

This is only a guess, hope it helps nevertheless.

Fabio
































-- 
Unsubscribe: send email to lfs-discuss-request at linuxfromscratch.org
and put unsubscribe in the subject header of the message




More information about the lfs-dev mailing list